Name:			woeusb-ng
Version:		0.2.12
Release:		%mkrel 1
Summary:		Create a Windows USB from a real Windows DVD or image
License:		GPLv3
Group:			Archiving/Other
URL:			https://github.com/WoeUSB/WoeUSB-ng
Source0:		https://github.com/WoeUSB/WoeUSB-ng/archive/v%{version}/WoeUSB-ng-%{version}.tar.gz
Patch1:			WoeUSB-ng-fix-polkit-action.patch
Patch2:			0001-fix-python-packaging-using-latest-methods.patch
Patch10:		woeusb-ng-mga-fix-install.patch
BuildArch:		noarch
BuildRequires:		pkgconfig(python3)
BuildRequires:		python3-setuptools
Requires:		dosfstools
Requires:		ntfs-3g
Requires:		grub2-common
Requires:		python3dist(termcolor)
Requires:		python3dist(wxpython)
Obsoletes:		woeusb < 3.3.2
Provides:		woeusb

%description
WoeUSB-ng is a simple tool that enable you to create your own usb stick windows
installer from an iso image or a real DVD. This is a rewrite of original
WoeUSB.

#------------------------------------------------------------

%prep
%autosetup -n WoeUSB-ng-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files WoeUSB

#------------------------------------------------------------
%files -f %{pyproject_files}
%license COPYING
%doc CONTRIBUTING.md README.md
%{_bindir}/woeusb
%{_bindir}/woeusbgui
%{_datadir}/polkit-1/actions/com.github.woeusb.woeusb-ng.policy
%{_datadir}/applications/WoeUSB-ng.desktop
%{_iconsdir}/hicolor/256x256/apps/woeusb-logo.png
#------------------------------------------------------------


%changelog
* Tue Feb 20 2024 daviddavid <daviddavid> 0.2.12-1.mga10
+ Revision: 2042597
- new version: 0.2.12
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 0.2.10-5.mga10
+ Revision: 2019461
- Mass Rebuild - Python 3.12

* Fri Jun 24 2022 papoteur <papoteur> 0.2.10-4.mga9
+ Revision: 1865853
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 0.2.10-3.mga9
+ Revision: 1822664
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 0.2.10-2.mga9
+ Revision: 1774825
- rebuild for python 3.10

* Wed Jan 19 2022 wally <wally> 0.2.10-1.mga9
+ Revision: 1769150
- switch to woeusb-ng
- version 0.2.10
- obsolete woeusb

* Sat Jan 15 2022 wally <wally> 3.3.1-6.mga9
+ Revision: 1768484
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 3.3.1-5.mga9
+ Revision: 1765707
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 3.3.1-4.mga8
+ Revision: 1667733
- rebuild for wxgtk pre 3.1.5 snapshot

* Tue Nov 03 2020 joequant <joequant> 3.3.1-3.mga8
+ Revision: 1641860
- rebuild with fixed autoconf

* Sun Aug 16 2020 wally <wally> 3.3.1-2.mga8
+ Revision: 1614374
- rebuild for new wxgtk 3.1.4

* Mon May 11 2020 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1582862
- new version: 3.3.1

* Tue Feb 18 2020 umeabot <umeabot> 3.3.0-2.mga8
+ Revision: 1539619
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1465386
- new version: 3.3.0

* Tue Nov 12 2019 wally <wally> 3.1.4-5.mga8
+ Revision: 1459495
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 3.1.4-4.mga8
+ Revision: 1419538
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jun 30 2019 wally <wally> 3.1.4-3.mga8
+ Revision: 1416322
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 3.1.4-2.mga7
+ Revision: 1301712
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 mjack <mjack> 3.1.4-1.mga7
+ Revision: 1183778
- imported package woeusb

